rm(list=ls(all=TRUE))

sink(paste(c('Results_smp1_th.txt'), collapse=''))
setwd("D:\OneDrive\PhD_Files\Thumb_touching\Matlab\PeerJ") 

# read the input files
CT_anova_data<-read.csv(paste(c('disp_anova_data_p.csv'), collapse=''),header = TRUE)
CT_anova_idata<-read.csv('TTP_anova_idata.csv',header = TRUE)
CT_t<-read.csv(paste(c('disp_anova_tukey_p.csv'), collapse=''),header = TRUE)

# bind the columns

CT_bind<-cbind(CT_anova_data$ID,CT_anova_data$IM,CT_anova_data$IP,CT_anova_data$MD,CT_anova_data$MM,CT_anova_data$MP,CT_anova_data$RD,CT_anova_data$RM,CT_anova_data$RP,CT_anova_data$LD,CT_anova_data$LM,CT_anova_data$LP)
Y<- lm(CT_bind ~ 1)

#load the car package
library(car)
analysis<-Anova(Y,idata=CT_anova_idata,idesign = ~TF*PH)


#use summary(object) to visualize the results of the repeated measures ANOVA
#summary(analysis)
summary(analysis, multivariate=FALSE)

pairwise.t.test(CT_t$V,CT_t$TF,  p.adj = "none")
pairwise.t.test(CT_t$V,CT_t$PH,  p.adj = "none")



cat("\n")
cat("Mean values")
cat("\n")
cat("ID")
mean(CT_anova_data$ID)

cat("IM")
mean(CT_anova_data$IM)

cat("IP")
mean(CT_anova_data$IP)
cat("MD")
mean(CT_anova_data$MD)
cat("MM")
mean(CT_anova_data$MM)
cat("MP")
mean(CT_anova_data$MP)
cat("RD")
mean(CT_anova_data$RD)
cat("RM")
mean(CT_anova_data$RM)
cat("RP")
mean(CT_anova_data$RP)
cat("LD")
mean(CT_anova_data$LD)
cat("LM")
mean(CT_anova_data$LM)
cat("LP")
mean(CT_anova_data$LP)

sink()

